import tailwind from '@astrojs/tailwind';
import { defineConfig } from 'astro/config';
import flattenListItems from 'mdast-flatten-listitem-paragraphs';

import mdx from '@astrojs/mdx';

// https://astro.build/config
export default defineConfig({
  site: import.meta.env.PROD ? 'https://filipesm.eu' : 'http://localhost:1234',
  integrations: [tailwind(), mdx()],
  markdown: {
    remarkPlugins: [flattenListItems],
  },
});
