import InlineLink from './components/InlineLink.astro';
import Footnote from './components/Footnote.astro';
import Null from './components/Null.astro';
import FootnoteParagraph from './components/FootnoteParagraph.astro';
import ListItem from './components/ListItem.astro';

const components = {
  img: Null,
  h1: Null,
  h2: Null,
  h3: Null,
  h4: Null,
  h5: Null,
  h6: Null,
  p: FootnoteParagraph,
  code: Null,
  li: ListItem,
  a: Null,
  ul: Null,
  ol: Null,
  ShowableFigure: Null,
  Footnote: Footnote,
  InlineLink: InlineLink,
};

export default components;
