/** @type {import('tailwindcss').Config} */
export default {
  content: ['./src/**/*.{astro,html,js,jsx,md,mdx,svelte,ts,tsx,vue}'],
  theme: {
    extend: {
      colors: {
        primary: {
          50: '#e5fff7',
          100: '#b3ffe8',
          200: '#80ffd8',
          300: '#4dffc9',
          400: '#1affb9',
          500: '#00e6a0',
          600: '#00b37c',
          700: '#008059',
          800: '#004d35',
          900: '#001a12',
        },
      },
    },
    screens: {
      xs: '420px',
      sm: '640px',
      md: '768px',
      lg: '1024px',
      xl: '1280px',
      '2xl': '1536px',
    },
  },
  plugins: [],
};
