import ShowableFigureComponent from './components/ShowableFigure.astro';
import NumberListItem from './components/NumberListItem.astro';
import InlineLink from './components/InlineLink.astro';
import InlineCode from './components/InlineCode.astro';
import BulletList from './components/BulletList.astro';
import NumberList from './components/NumberList.astro';
import BulletListItem from './components/BulletListItem.astro';
import Heading1 from './components/Heading1.astro';
import Heading2 from './components/Heading2.astro';
import Heading3 from './components/Heading3.astro';
import Heading4 from './components/Heading4.astro';
import Heading5 from './components/Heading5.astro';
import Heading6 from './components/Heading6.astro';
import Paragraph from './components/Paragraph.astro';
import LinkToFootnote from './components/LinkToFootnote.astro';
import Null from './components/Null.astro';
import ListItem from './components/ListItem.astro';
import HorizontalBreak from './components/HorizontalBreak.astro';

const components = {
  hr: HorizontalBreak,
  img: ShowableFigureComponent,
  h1: Heading1,
  h2: Heading2,
  h3: Heading3,
  h4: Heading4,
  h5: Heading5,
  h6: Heading6,
  p: Paragraph,
  li: ListItem,
  code: InlineCode,
  a: InlineLink,
  ul: BulletList,
  ol: NumberList,
  Footnote: LinkToFootnote,
  ShowableFigure: ShowableFigureComponent,
  InlineLink: Null,
};

export default components;
