import type { AstroGlobal } from 'astro';

export default function langToFootnoteString(Astro: Readonly<AstroGlobal>) {
  let footnoteString: string;
  if (Astro.url.pathname.includes('/blogue/')) footnoteString = 'rodape';
  else if (Astro.url.pathname.includes('/blog/')) footnoteString = 'footnote';
  else
    throw new Error(
      'Please add the new language to the `langToFootnoteString` function',
    );

  return footnoteString;
}
